#include <Window.h>
#include <Application.h>
#include <Button.h>
#include <Directory.h>
#include <Deskbar.h>
#include <Input.h>
#include <TextControl.h>
#include <Alert.h>
#include <String.h>
#include <View.h>
#include <GraphicsDefs.h>
#include <Path.h>
#include <Roster.h>
#include <Screen.h>


#include <stdio.h>

#include "PrefMessages.h"
#include "Preference.h"
#include "PrefWindow.h"
#include "RepView.h"


int main()
{
   Preference c_MainApp;
   
   c_MainApp.Run();
   return 0;
}

Preference::Preference(): BApplication(APP_SIG)
{
   InstallDeskbarIcon();
   be_app->PostMessage(B_QUIT_REQUESTED);
}

void Preference::MessageReceived(BMessage *message)
{
   switch (message->what)
   {
      default:
         BApplication::MessageReceived(message);
         break;
   }
}

void Preference::InstallDeskbarIcon()
{
   BDeskbar deskbar;

   if (!deskbar.HasItem("CryptoLoop")) 
   {
      BRoster roster;
      entry_ref ref;

      status_t status = roster.FindApp(APP_SIG, &ref);
      if (status < B_OK) 
         return;

      status = deskbar.AddItem(&ref);
      if (status < B_OK) 
         return;
   }
}

void Preference::RemoveDeskbarIcon()
{
   BDeskbar deskbar;
   if (deskbar.HasItem("CryptoLoop"))
      deskbar.RemoveItem("CryptoLoop");
}


